using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Changed_DataType_ApproverdBY : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("1714f64d-7591-4419-bee5-118d21bb2855"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("4117b7de-ef6c-461f-a2c2-64eaac5f9a11"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("53eedf44-4076-445f-be93-fedef17117e7"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("715b9ddb-d9e2-4afa-8987-d9918905cea4"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("a3d191a7-a5aa-4dd8-a525-12c99263bbd6"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("b3f51a93-dde6-45f9-8b22-f1bf017a640b"));

            migrationBuilder.DeleteData(
                table: "ActivityMasters",
                keyColumn: "Id",
                keyValue: new Guid("c138a7de-713a-4bd4-8292-b0b265be77a3"));

            migrationBuilder.DeleteData(
                table: "Projects",
                keyColumn: "Id",
                keyValue: new Guid("3ef56a12-f5e5-4193-87d6-9e110ed10b86"));

            migrationBuilder.DeleteData(
                table: "Projects",
                keyColumn: "Id",
                keyValue: new Guid("54d013e3-0a2b-48be-85c7-5ef03492a18c"));

            migrationBuilder.AlterColumn<Guid>(
                name: "ApprovedBy",
                table: "Attendes",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci",
                oldClrType: typeof(int),
                oldType: "int",
                oldNullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<int>(
                name: "ApprovedBy",
                table: "Attendes",
                type: "int",
                nullable: true,
                oldClrType: typeof(Guid),
                oldType: "char(36)",
                oldNullable: true)
                .OldAnnotation("Relational:Collation", "ascii_general_ci");

            migrationBuilder.InsertData(
                table: "ActivityMasters",
                columns: new[] { "Id", "ActivityName", "IsActive", "TenantId", "UnitOfMeasurement" },
                values: new object[,]
                {
                    { new Guid("1714f64d-7591-4419-bee5-118d21bb2855"), "Fabrication", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Meter" },
                    { new Guid("4117b7de-ef6c-461f-a2c2-64eaac5f9a11"), "Core Cutting", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Number" },
                    { new Guid("53eedf44-4076-445f-be93-fedef17117e7"), "MS Support Fabrication", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Number" },
                    { new Guid("715b9ddb-d9e2-4afa-8987-d9918905cea4"), "MS Support Hanging", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Number" },
                    { new Guid("a3d191a7-a5aa-4dd8-a525-12c99263bbd6"), "Hydrant Volve", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Number" },
                    { new Guid("b3f51a93-dde6-45f9-8b22-f1bf017a640b"), "Welding", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Meter" },
                    { new Guid("c138a7de-713a-4bd4-8292-b0b265be77a3"), "Sprinkler Installation", true, new Guid("b3466e83-7e11-464c-b93a-daf047838b26"), "Number" }
                });

            migrationBuilder.InsertData(
                table: "Projects",
                columns: new[] { "Id", "ContactPerson", "EndDate", "Name", "ProjectAddress", "ProjectStatusId", "StartDate", "TenantId" },
                values: new object[,]
                {
                    { new Guid("3ef56a12-f5e5-4193-87d6-9e110ed10b86"), "Project 2 Contact Person", new DateTime(2026, 4, 20, 10, 11, 17, 588, DateTimeKind.Unspecified), "Project 2", "Project 2 Address", new Guid("ef1c356e-0fe0-42df-a5d3-8daee355492d"), new DateTime(2025, 4, 20, 10, 11, 17, 588, DateTimeKind.Unspecified), new Guid("b3466e83-7e11-464c-b93a-daf047838b26") },
                    { new Guid("54d013e3-0a2b-48be-85c7-5ef03492a18c"), "Project 3 Contact Person", new DateTime(2026, 4, 20, 10, 11, 17, 588, DateTimeKind.Unspecified), "Project 3", "Project 3 Address", new Guid("33deaef9-9af1-4f2a-b443-681ea0d04f81"), new DateTime(2025, 4, 20, 10, 11, 17, 588, DateTimeKind.Unspecified), new Guid("b3466e83-7e11-464c-b93a-daf047838b26") }
                });
        }
    }
}
